Subject: [nfsv4] preliminary agenda for wg meeting within IETF111

From: "Noveck, David" <[email-masked]>
Date: Wed, 7 Jul 2021 18:54:24 +0000

This is very preliminary and I urge anyone  who knows of additional things to discuss to let me know as soon as possible.  Given that we have already allocated our two hours, I'll be thinking about the possibility of an interim meeting in August.

I have treated the two sessions as a single meeting, which it is.  For example, there is time allocated for note-well and agenda bashing only once.

The two sessions are:

  *   Thursday 7/29 at 3-4PM PDT (= 6-7PM EDT, =10-11PM UTC)
  *   Friday 7/30 at 2:30-3:30 PDT (= 5:30-6:30 EDT, = 9:30-10:30PM UTC)

We'll be using meetecho.   I'm going to try to get some training on it.

This ordering makes sense to me.   If anyone would like a re-ordering, for example,  to enable use of  a one-day pass, let me know and I'll change things as necessary.

Who
Time
Subject
Detail
DN
10 min.
Misc.
Introduction, note-well, agenda-bashing.   Discussion of note-taking.
DN
15 min.
5661bis
Discussion of current state of the rfc5661bis effort, including the associated NFSv4-wide documents.
DN
15 min.
Security
Discussion of draft-dnoveck-nfsv4-security-00 (to be submitted soon) and future plans to move forward in this area.
CEL
15 min.
RPC-with-TLS
Discussion of document (draft-ietf-nfsv4-rpc-tls-11) status and follow-up.
CEL
15 min.
Signing
Discussion of draft-cel-nfsv4-hash-interchange-format.
CEL
15 min.
Ror v2
Discussion of draft-ietf-nfsv4-rpcrdma-version-two-05,  draft-ietf-nfsv4-nfs-ulb-v2-05<https://datatracker.ietf.org/doc/draft-ietf-nfsv4-nfs-ulb-v2/> and needed steps on the way to WGLC.
CEL
15 min.
Quic
Discussion of the path forward for NFSv4 to enable use of this transport.
All
20 min.
Future work
Discussion of things the working group should be doing and that have not been done, including:

  *   Things we planned to do but never followed up on, including pNFS-NVMe and pNFS-RDMA.
  *   New ideas to address other needs which are part of our charter but  have not been given serious attention